export default {
  methods: {
    finalAdjustDMResolver(gen) {
      const models = this.generation.activeModels.find(item => item.generation == gen).models
      const generation = this.generation.activeModels.find(item => item.generation == gen).generation

      this.formatRows.forEach(item => {
        const currentGroup = models.find(group => group.groupId == item.groupId)

        item.towSupplyIndicator = currentGroup.groupIndicator
        if(currentGroup.groupIndicator >= 0) {
          item.towSupplyRecord = `${currentGroup.groupApprovedCount + currentGroup.groupIndicator} /${currentGroup.personCount}`
        }else {
          item.towSupplyRecord = `${currentGroup.groupApprovedCount} /${currentGroup.personCount}`
        }
      })
      return {
        towSupplyRecord:{
          label:'二次补录情况'
        },
        towSupplyIndicator:{
          label:'二次补录结果',
          slot: 'underOver'
        }
      }
    }
  }
}
